package com.mitchallen.testbook.source;

import org.junit.Assert;
import org.junit.Ignore;
import org.junit.Test;

import com.mitchallen.testbook.custom.MyAnnotation;

public class SourceTests {
	
	@MyAnnotation("This is not a test")
	public void thisIsNotATest() {
		// Since this method doesn't have an @Test annotation
		// it will be ignored by our test runner
	}
	
	@Test public void passDemo() {
		
		// This test simply passes by omission (no assertions or exceptions)
	}
	
	@Test 
	@MyAnnotation("My custom annotation")
	public void customAnnotationDemo() {
		
		// This test simply passes by omission (no assertions or exceptions)
	}
	
	@Test public void failDemo() {
		
		Assert.fail("This test deliberately fails");
	}
	
	@Test public void failComparisonDemo() {
		
		int expect = 5;	// What we think it should be.
		int actual = 4;	// What it actually is.
		
		Assert.assertEquals( "### ERROR - not equal: ", expect, actual );
	}
		
	@Test 
	@Ignore( "This test is ignored" )
	public void ignoreDemo() {
		// ...
	}
	
	@Test 
	@Ignore
	public void ignoreNoValueDemo() {
		// ...
	}
	
	@SuppressWarnings("unused")
	@Test public void errorDemo() {
		
		// This should generate a divide by zero exception.
		
		int x = 1 / 0;		
	}

}
