package com.mitchallen.properties;

import java.util.Properties;

public class PropertyFile {
	
	public final static String DEFAULT_PROFILE = "QA1";	// Default profile
	
	private static Properties testProperties = Reader.loadProperty( getTestProfile() + ".test.properties" );
	
	public static String HOST = testProperties.getProperty("HOST");
	public static String USER = testProperties.getProperty("USER");
	
	/**
	 * @param sPropertyName
	 *            - equals: build.plugins.plugin[surefire].configuration.
	 *            systemProperties.property.name
	 * 
	 * @return 
	 *         build.plugins.plugin[surefire].configuration.systemProperties.property
	 *         [name].value
	 */

	private static String getProperty(String sName) {

		// Look for <name>[sPropertyName]</name> in pom.xml

		String sValue = System.getProperty(sName);

		// property not defined in pom.xml

		if (sValue == null)
			return null;

		if (sValue.startsWith("${") || sValue.matches("true")
				|| sValue.length() == 0) {

			// property defined in pom.xml - but not set either internally or
			// via the command line.

			return null;

		}
		
		return sValue;
	}
	
	public static String getTestProfile() {

		String sTestProfile = getProperty( "testProfile" );

		if( sTestProfile == null ) return DEFAULT_PROFILE;

		return sTestProfile;
	}

}
