package com.mitchallen.testbook.model.google;

import org.openqa.selenium.WebDriver;
import org.openqa.selenium.WebElement;
import org.openqa.selenium.support.FindBy;
import org.openqa.selenium.support.How;
import org.openqa.selenium.support.PageFactory;
import org.openqa.selenium.support.ui.ExpectedCondition;
import org.openqa.selenium.support.ui.WebDriverWait;

import com.mitchallen.common.Tools;

/**
 * @author Mitch Allen
 * 
 */

public class HomePage {
		
	public static String searchText = "";
	
    // Look up element based on name attribute.
    @FindBy(how = How.NAME, using = "q")
    private WebElement searchBox;
         
    public ResultsPage search( WebDriver driver, String text) {
    	
    	Tools.PrintFullMethodName();
       
        searchBox.sendKeys(text);
        
        searchBox.submit();
        
        HomePage.searchText = text;
        
        (new WebDriverWait(driver, 10)).until(new ExpectedCondition<Boolean>() {
            public Boolean apply(WebDriver d) {
                return d.getTitle().toLowerCase().startsWith( HomePage.searchText );
            }
        });
        
        // Map the results page to the ResultsPage object
        return PageFactory.initElements( driver, ResultsPage.class);
    }

}
