package com.mitchallen.testbook.model.google;

import java.util.List;

import org.openqa.selenium.WebDriver;
import org.openqa.selenium.WebElement;
import org.openqa.selenium.support.FindBy;
import org.openqa.selenium.support.ui.ExpectedCondition;
import org.openqa.selenium.support.ui.WebDriverWait;

import com.mitchallen.common.Tools;

public class ResultsPage {
	
    @FindBy(xpath="//input[@type='text']")
    private WebElement searchBox;
    
    @FindBy(xpath="//a[@class='l']")
    private List<WebElement> results;
    
    public void dumpResults() {
    	
    	Tools.PrintFullMethodName();	// print the full method name
    	
    	for( WebElement el : results ) {
    		
    		System.out.println(  el.getText() + "\n ... " + el.getAttribute("href")  );
    	}
    }
    
    public int getResultCount() {
    	
    	Tools.PrintFullMethodName();
    	
    	return results.size(); 
    }
    
    public WebElement getResult( int i ) { 
    	
    	Tools.PrintFullMethodName();
    	
    	return results.get( i ); 
    }
    
    public void search( WebDriver driver, final String searchText ) {
    	
    	Tools.PrintFullMethodName();
    	
    	searchBox.clear();
    	searchBox.sendKeys( searchText );
    	searchBox.submit();
    	
    	// http://seleniumhq.org/docs/04_webdriver_advanced.html
    	
        // Google's search is rendered dynamically with JavaScript.
        // Wait for the page to load, timeout after 10 seconds
        (new WebDriverWait(driver, 10)).until(new ExpectedCondition<Boolean>() {
            public Boolean apply(WebDriver d) {
                return d.getTitle().toLowerCase().startsWith( searchText );
            }
        });
    }
}
